Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Diagram elements/Shapes/SimpleRectangle.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Diagram elements/Shapes/SimpleRectangle.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Diagram elements/Shapes/SimpleRectangle.cs	(revision 4068)
@@ -1,224 +1,204 @@
-using System;
 using System.Drawing;
-using System.Drawing.Drawing2D;
-namespace Netron.Diagramming.Core
-{
-    // ----------------------------------------------------------------------
-    /// <summary>
-    /// A simple rectangular shape.
-    /// </summary>
-    // ----------------------------------------------------------------------
-    [Shape(
-        "Rectangle",
-        "SimpleRectangle",
-        "Standard",
-        "A simple rectangular shape.")]
-    public partial class SimpleRectangle : SimpleShapeBase
-    {
-        #region Fields
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Implementation of IVersion - the current version of 
-        /// SimpleRectangle.
-        /// </summary>
-        // ------------------------------------------------------------------
-        protected const double simpleRectangleVersion = 1.0;
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// The bottom connector.
-        /// </summary>
-        // ------------------------------------------------------------------
-        //Connector cBottom;
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// The left connector.
-        /// </summary>
-        // ------------------------------------------------------------------
-        //Connector cLeft;
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// The right connector.
-        /// </summary>
-        // ------------------------------------------------------------------
-        //Connector cRight;
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// The top connector.
-        /// </summary>
-        // ------------------------------------------------------------------
-        //Connector cTop;
-
-        #endregion
-
-        #region Properties
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets the current version.
-        /// </summary>
-        // ------------------------------------------------------------------
-        public override double Version
-        {
-            get
-            {
-                return simpleRectangleVersion;
-            }
+namespace Netron.Diagramming.Core {
+  // ----------------------------------------------------------------------
+  /// <summary>
+  /// A simple rectangular shape.
+  /// </summary>
+  // ----------------------------------------------------------------------
+  [Shape(
+      "Rectangle",
+      "SimpleRectangle",
+      "Standard",
+      "A simple rectangular shape.")]
+  public partial class SimpleRectangle : SimpleShapeBase {
+    #region Fields
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Implementation of IVersion - the current version of 
+    /// SimpleRectangle.
+    /// </summary>
+    // ------------------------------------------------------------------
+    protected const double simpleRectangleVersion = 1.0;
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// The bottom connector.
+    /// </summary>
+    // ------------------------------------------------------------------
+    //Connector cBottom;
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// The left connector.
+    /// </summary>
+    // ------------------------------------------------------------------
+    //Connector cLeft;
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// The right connector.
+    /// </summary>
+    // ------------------------------------------------------------------
+    //Connector cRight;
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// The top connector.
+    /// </summary>
+    // ------------------------------------------------------------------
+    //Connector cTop;
+
+    #endregion
+
+    #region Properties
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets the current version.
+    /// </summary>
+    // ------------------------------------------------------------------
+    public override double Version {
+      get {
+        return simpleRectangleVersion;
+      }
+    }
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets the friendly name of the entity to be displayed in the UI
+    /// </summary>
+    /// <value>string</value>
+    // ------------------------------------------------------------------
+    public override string EntityName {
+      get { return "Simple Rectangle"; }
+    }
+
+    public override Rectangle Rectangle {
+      get {
+        return base.Rectangle;
+      }
+    }
+
+    #endregion
+
+    #region Constructor
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Default constructor.
+    /// </summary>
+    /// <param name="s"></param>
+    // ------------------------------------------------------------------
+    public SimpleRectangle(IModel s)
+      : base(s) {
+    }
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Initializes a new instance of the 
+    /// <see cref="T:SimpleRectangle"/> class.
+    /// </summary>
+    // ------------------------------------------------------------------
+    public SimpleRectangle()
+      : base() {
+    }
+
+    #endregion
+
+    #region Methods
+
+    // -----------------------------------------------------------------
+    /// <summary>
+    /// Initializes this instance.
+    /// </summary>
+    // -----------------------------------------------------------------
+    protected override void Initialize() {
+      base.Initialize();
+      //the initial size
+      Transform(0, 0, 200, 50);
+      this.mTextArea = Rectangle;
+
+      // I'm changing the "simple" shapes to have no connectors.
+      #region Connectors
+      //cTop = new Connector(new Point((int)(Rectangle.Left + Rectangle.Width / 2), Rectangle.Top), Model);
+      //cTop.Name = "Top connector";
+      //cTop.Parent = this;
+      //Connectors.Add(cTop);
+
+      //cRight = new Connector(new Point(Rectangle.Right, (int)(Rectangle.Top + Rectangle.Height / 2)), Model);
+      //cRight.Name = "Right connector";
+      //cRight.Parent = this;
+      //Connectors.Add(cRight);
+
+      //cBottom = new Connector(new Point((int)(Rectangle.Left + Rectangle.Width / 2), Rectangle.Bottom), Model);
+      //cBottom.Name = "Bottom connector";
+      //cBottom.Parent = this;
+      //Connectors.Add(cBottom);
+
+      //cLeft = new Connector(new Point(Rectangle.Left, (int)(Rectangle.Top + Rectangle.Height / 2)), Model);
+      //cLeft.Name = "Left connector";
+      //cLeft.Parent = this;
+      //Connectors.Add(cLeft);
+      #endregion
+    }
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Paints the bundle on the canvas
+    /// </summary>
+    /// <param name="g">Graphics: The GDI+ graphics surface.</param>
+    // ------------------------------------------------------------------
+    public override void Paint(Graphics g) {
+      // Draw the shadow.
+      if (ArtPalette.EnableShadows) {
+        g.FillRectangle(
+            ArtPalette.ShadowBrush,
+            mRectangle.X + 5,
+            mRectangle.Y + 5,
+            mRectangle.Width,
+            mRectangle.Height);
+      }
+
+      // Fill the shape.
+      g.FillRectangle(Brush, mRectangle);
+
+      // Draw the edge of the bundle.
+      if (Hovered) {
+        g.DrawRectangle(ArtPalette.HighlightPen, mRectangle);
+      } else {
+        g.DrawRectangle(Pen, mRectangle);
+      }
+
+      // Finally, the connectors.
+      if (this.ShowConnectors) {
+        for (int k = 0; k < Connectors.Count; k++) {
+          Connectors[k].Paint(g);
         }
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets the friendly name of the entity to be displayed in the UI
-        /// </summary>
-        /// <value>string</value>
-        // ------------------------------------------------------------------
-        public override string EntityName
-        {
-            get { return "Simple Rectangle"; }
-        }
-
-        public override Rectangle Rectangle
-        {
-            get
-            {
-                return base.Rectangle;
-            }
-        }
-
-        #endregion
-
-        #region Constructor
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Default constructor.
-        /// </summary>
-        /// <param name="s"></param>
-        // ------------------------------------------------------------------
-        public SimpleRectangle(IModel s)
-            : base(s)
-        {
-        }
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Initializes a new instance of the 
-        /// <see cref="T:SimpleRectangle"/> class.
-        /// </summary>
-        // ------------------------------------------------------------------
-        public SimpleRectangle()
-            : base()
-        {
-        }
-
-        #endregion
-
-        #region Methods
-
-        // -----------------------------------------------------------------
-        /// <summary>
-        /// Initializes this instance.
-        /// </summary>
-        // -----------------------------------------------------------------
-        protected override void Initialize()
-        {
-            base.Initialize();
-            //the initial size
-            Transform(0, 0, 200, 50);
-            this.mTextArea = Rectangle;
-
-            // I'm changing the "simple" shapes to have no connectors.
-            #region Connectors
-            //cTop = new Connector(new Point((int)(Rectangle.Left + Rectangle.Width / 2), Rectangle.Top), Model);
-            //cTop.Name = "Top connector";
-            //cTop.Parent = this;
-            //Connectors.Add(cTop);
-
-            //cRight = new Connector(new Point(Rectangle.Right, (int)(Rectangle.Top + Rectangle.Height / 2)), Model);
-            //cRight.Name = "Right connector";
-            //cRight.Parent = this;
-            //Connectors.Add(cRight);
-
-            //cBottom = new Connector(new Point((int)(Rectangle.Left + Rectangle.Width / 2), Rectangle.Bottom), Model);
-            //cBottom.Name = "Bottom connector";
-            //cBottom.Parent = this;
-            //Connectors.Add(cBottom);
-
-            //cLeft = new Connector(new Point(Rectangle.Left, (int)(Rectangle.Top + Rectangle.Height / 2)), Model);
-            //cLeft.Name = "Left connector";
-            //cLeft.Parent = this;
-            //Connectors.Add(cLeft);
-            #endregion
-        }
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Paints the bundle on the canvas
-        /// </summary>
-        /// <param name="g">Graphics: The GDI+ graphics surface.</param>
-        // ------------------------------------------------------------------
-        public override void Paint(Graphics g)
-        {
-            // Draw the shadow.
-            if (ArtPalette.EnableShadows)
-            {
-                g.FillRectangle(
-                    ArtPalette.ShadowBrush, 
-                    mRectangle.X + 5,
-                    mRectangle.Y + 5,
-                    mRectangle.Width,
-                    mRectangle.Height);
-            }
-
-            // Fill the shape.
-            g.FillRectangle(Brush, mRectangle);
-
-            // Draw the edge of the bundle.
-            if (Hovered)
-            {
-                g.DrawRectangle(ArtPalette.HighlightPen, mRectangle);
-            }
-            else
-            {
-                g.DrawRectangle(Pen, mRectangle);
-            }
-
-            // Finally, the connectors.
-            if (this.ShowConnectors)
-            {
-                for (int k = 0; k < Connectors.Count; k++)
-                {
-                    Connectors[k].Paint(g);
-                }
-            }
-
-            //here we keep it really simple:
-            if (!string.IsNullOrEmpty(Text))
-            {
-                //StringFormat format = new StringFormat();
-                //format.Alignment = this.VerticalAlignment;
-                //format.LineAlignment = this.HorizontalAlignment;
-                //SolidBrush textBrush = new SolidBrush(mForeColor);
-
-                //g.DrawString(
-                //    Text, 
-                //    mFont,
-                //    textBrush, 
-                //    TextArea,
-                //    format);
-                g.DrawString(
-                    mTextStyle.GetFormattedText(Text),
-                    mTextStyle.Font,
-                    mTextStyle.GetBrush(),
-                    TextArea,
-                    mTextStyle.StringFormat);
-            }
-        }
-
-        #endregion
-    }
+      }
+
+      //here we keep it really simple:
+      if (!string.IsNullOrEmpty(Text)) {
+        //StringFormat format = new StringFormat();
+        //format.Alignment = this.VerticalAlignment;
+        //format.LineAlignment = this.HorizontalAlignment;
+        //SolidBrush textBrush = new SolidBrush(mForeColor);
+
+        //g.DrawString(
+        //    Text, 
+        //    mFont,
+        //    textBrush, 
+        //    TextArea,
+        //    format);
+        g.DrawString(
+            mTextStyle.GetFormattedText(Text),
+            mTextStyle.Font,
+            mTextStyle.GetBrush(),
+            TextArea,
+            mTextStyle.StringFormat);
+      }
+    }
+
+    #endregion
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Diagram elements/Shapes/TextLabel.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Diagram elements/Shapes/TextLabel.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Diagram elements/Shapes/TextLabel.cs	(revision 4068)
@@ -1,122 +1,111 @@
 using System;
 using System.Drawing;
-using System.Windows.Forms;
-namespace Netron.Diagramming.Core
-{
-	/// <summary>
-	/// A simple bundle to display textual information
-	/// </summary>
-    public class TextLabel : SimpleShapeBase
-    {
-        #region Fields
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// A simple bundle to display textual information
+  /// </summary>
+  public class TextLabel : SimpleShapeBase {
+    #region Fields
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Implementation of IVersion - the current version of 
-        /// TextLabel.
-        /// </summary>
-        // ------------------------------------------------------------------
-        protected const double textLabelVersion = 1.0;
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Implementation of IVersion - the current version of 
+    /// TextLabel.
+    /// </summary>
+    // ------------------------------------------------------------------
+    protected const double textLabelVersion = 1.0;
 
-        private Connector connector;
-        #endregion
+    private Connector connector;
+    #endregion
 
-        #region Properties
+    #region Properties
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets the current version.
-        /// </summary>
-        // ------------------------------------------------------------------
-        public override double Version
-        {
-            get
-            {
-                return textLabelVersion;
-            }
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets the current version.
+    /// </summary>
+    // ------------------------------------------------------------------
+    public override double Version {
+      get {
+        return textLabelVersion;
+      }
+    }
 
-        /// <summary>
-        /// Gets the connector.
-        /// </summary>
-        /// <value>The connector.</value>
-        public Connector Connector
-        {
-            get { return connector; }
-        }
+    /// <summary>
+    /// Gets the connector.
+    /// </summary>
+    /// <value>The connector.</value>
+    public Connector Connector {
+      get { return connector; }
+    }
 
-        /// <summary>
-        /// Gets the friendly name of the entity to be displayed in the UI
-        /// </summary>
-        /// <value></value>
-        public override string EntityName
-        {
-            get { return "Text Label"; }
-        }
+    /// <summary>
+    /// Gets the friendly name of the entity to be displayed in the UI
+    /// </summary>
+    /// <value></value>
+    public override string EntityName {
+      get { return "Text Label"; }
+    }
 
-        #endregion
+    #endregion
 
-        #region Constructor
+    #region Constructor
 
-        /// <summary>
-        /// Default ctor
-        /// </summary>
-        /// <param name="s"></param>
-        public TextLabel(IModel s)
-            : base(s)
-        {
-        }
-        /// <summary>
-        /// Initializes a new instance of the <see cref="T:TextLabel"/> class.
-        /// </summary>
-        public TextLabel()
-            : base()
-        {
-        }
+    /// <summary>
+    /// Default ctor
+    /// </summary>
+    /// <param name="s"></param>
+    public TextLabel(IModel s)
+      : base(s) {
+    }
+    /// <summary>
+    /// Initializes a new instance of the <see cref="T:TextLabel"/> class.
+    /// </summary>
+    public TextLabel()
+      : base() {
+    }
 
-        #endregion
+    #endregion
 
-        #region Methods
+    #region Methods
 
-        // -----------------------------------------------------------------
-        /// <summary>
-        /// Initializes this instance.
-        /// </summary>
-        // -----------------------------------------------------------------
-        protected override void Initialize()
-        {
-            base.Initialize();
+    // -----------------------------------------------------------------
+    /// <summary>
+    /// Initializes this instance.
+    /// </summary>
+    // -----------------------------------------------------------------
+    protected override void Initialize() {
+      base.Initialize();
 
-            PaintStyle = ArtPalette.GetDefaultSolidPaintStyle();
-            Resizable = false;
-            connector = new Connector(new Point((int)(Rectangle.Left + Rectangle.Width / 2), Rectangle.Bottom), Model);
-            connector.Name = "Central connector";
-            connector.Parent = this;
-            Connectors.Add(connector);
-        }
+      PaintStyle = ArtPalette.GetDefaultSolidPaintStyle();
+      Resizable = false;
+      connector = new Connector(new Point((int)(Rectangle.Left + Rectangle.Width / 2), Rectangle.Bottom), Model);
+      connector.Name = "Central connector";
+      connector.Parent = this;
+      Connectors.Add(connector);
+    }
 
-        /// <summary>
-        /// Paints the bundle on the canvas
-        /// </summary>
-        /// <param name="g">a Graphics object onto which to paint</param>
-        public override void Paint(System.Drawing.Graphics g)
-        {
-            if (g == null)
-                throw new ArgumentNullException("The Graphics object is 'null'.");
+    /// <summary>
+    /// Paints the bundle on the canvas
+    /// </summary>
+    /// <param name="g">a Graphics object onto which to paint</param>
+    public override void Paint(System.Drawing.Graphics g) {
+      if (g == null)
+        throw new ArgumentNullException("The Graphics object is 'null'.");
 
-            g.SmoothingMode = System.Drawing.Drawing2D.SmoothingMode.HighQuality;
-            //the shadow
-            if (ArtPalette.EnableShadows)
-                g.FillRectangle(ArtPalette.ShadowBrush, Rectangle.X + 5, Rectangle.Y + 5, Rectangle.Width, Rectangle.Height);
-            //the container
-            g.FillRectangle(Brush, Rectangle);
-            //the edge
-            if (Hovered)
-                g.DrawRectangle(new Pen(Color.Red, 2F), Rectangle);
-            //the text		
-            if (!string.IsNullOrEmpty(Text))
-                g.DrawString(Text, ArtPalette.DefaultFont, Brushes.Black, Rectangle);
-        }
-        #endregion
+      g.SmoothingMode = System.Drawing.Drawing2D.SmoothingMode.HighQuality;
+      //the shadow
+      if (ArtPalette.EnableShadows)
+        g.FillRectangle(ArtPalette.ShadowBrush, Rectangle.X + 5, Rectangle.Y + 5, Rectangle.Width, Rectangle.Height);
+      //the container
+      g.FillRectangle(Brush, Rectangle);
+      //the edge
+      if (Hovered)
+        g.DrawRectangle(new Pen(Color.Red, 2F), Rectangle);
+      //the text		
+      if (!string.IsNullOrEmpty(Text))
+        g.DrawString(Text, ArtPalette.DefaultFont, Brushes.Black, Rectangle);
     }
+    #endregion
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/IO/Binary/BinarySerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/IO/Binary/BinarySerializer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/IO/Binary/BinarySerializer.cs	(revision 4068)
@@ -4,28 +4,23 @@
 using System.Runtime.Serialization;
 using System.Runtime.Serialization.Formatters.Binary;
-using System.Xml.Serialization;
-using System.Xml;
 using System.Windows.Forms;
-namespace Netron.Diagramming.Core
-{
-	/// <summary>
-	/// Utility class to binary (de)serialize a diagram (from) to file
-	/// </summary>
-	public static class BinarySerializer
-	{
-		#region Methods
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Utility class to binary (de)serialize a diagram (from) to file
+  /// </summary>
+  public static class BinarySerializer {
+    #region Methods
 
-        /// <summary>
-        /// Binary saves the diagram
-        /// </summary>
-        /// <param name="fileName">the file-path</param>
-        /// <param name="control">The control.</param>
-        /// <returns></returns>
-		public static  bool SaveAs(string fileName, DiagramControlBase control)
-		{
+    /// <summary>
+    /// Binary saves the diagram
+    /// </summary>
+    /// <param name="fileName">the file-path</param>
+    /// <param name="control">The control.</param>
+    /// <returns></returns>
+    public static bool SaveAs(string fileName, DiagramControlBase control) {
 
-			FileStream fs = new FileStream(fileName, FileMode.Create);
+      FileStream fs = new FileStream(fileName, FileMode.Create);
 
-			GenericFormatter<BinaryFormatter> f = new GenericFormatter<BinaryFormatter>();
+      GenericFormatter<BinaryFormatter> f = new GenericFormatter<BinaryFormatter>();
 
       try {
@@ -44,83 +39,69 @@
         //DumpInfo();
       }
-			finally
-			{
-				fs.Close();
-			}
-			return false;
-		}
-        /// <summary>
-        /// Opens the binary-saved diagram
-        /// </summary>
-        /// <param name="fileName">Name of the file.</param>
-        /// <param name="control">The control.</param>
-		public static  bool Open (string fileName, DiagramControlBase control)
-		{
-			FileStream fs=null;
-			
-			try
-			{
-				fs= File.OpenRead(fileName);
-			}
-			catch (System.IO.DirectoryNotFoundException exc)
-			{
-				System.Windows.Forms.MessageBox.Show(exc.Message);
-			}
-			catch(System.IO.FileLoadException exc)
-			{				
-				System.Windows.Forms.MessageBox.Show(exc.Message);
-			}
-			catch (System.IO.FileNotFoundException exc)
-			{
-				System.Windows.Forms.MessageBox.Show(exc.Message);
-			}
-			catch(Exception exc)
-			{				
-				throw new Exception("Non-CLS exception caught.", exc);
-			}
-			//donnot open anything if filestream is not there
-			if (fs==null) 
-            {
-                return false;
-            }
+      finally {
+        fs.Close();
+      }
+      return false;
+    }
+    /// <summary>
+    /// Opens the binary-saved diagram
+    /// </summary>
+    /// <param name="fileName">Name of the file.</param>
+    /// <param name="control">The control.</param>
+    public static bool Open(string fileName, DiagramControlBase control) {
+      FileStream fs = null;
 
-			try
-			{
+      try {
+        fs = File.OpenRead(fileName);
+      }
+      catch (System.IO.DirectoryNotFoundException exc) {
+        System.Windows.Forms.MessageBox.Show(exc.Message);
+      }
+      catch (System.IO.FileLoadException exc) {
+        System.Windows.Forms.MessageBox.Show(exc.Message);
+      }
+      catch (System.IO.FileNotFoundException exc) {
+        System.Windows.Forms.MessageBox.Show(exc.Message);
+      }
+      catch (Exception exc) {
+        throw new Exception("Non-CLS exception caught.", exc);
+      }
+      //donnot open anything if filestream is not there
+      if (fs == null) {
+        return false;
+      }
 
-                GenericFormatter<BinaryFormatter> f = new GenericFormatter<BinaryFormatter>();			
-                //one-line deserialization, no bits 'nd bytes necessary....C# is amazing...
-				Document document =  f.Deserialize<Document>(fs);
+      try {
 
-                if(document == null)
-                    throw new InconsistencyException("The deserialization return 'null'.");
-                //call the standard method at the control level to attach a new document
-                //In principle you could create a document programmatically and attach it this way as well.
-                control.AttachToDocument(document);
-                return true;
-			}
-			catch(SerializationException exc)			
-			{
-				MessageBox.Show(exc.Message);
-			}
-			catch(System.Reflection.TargetInvocationException exc)
-			{
-				MessageBox.Show(exc.Message, "BinarySerializer.Open");
-			}
-			catch(Exception exc)
-			{
-                MessageBox.Show(exc.Message, "BinarySerializer.Open");
-			}
-			finally
-			{
-                if (fs != null)
-                {
-                    fs.Close();
-                }
-			}
-            return false;
-		}
+        GenericFormatter<BinaryFormatter> f = new GenericFormatter<BinaryFormatter>();
+        //one-line deserialization, no bits 'nd bytes necessary....C# is amazing...
+        Document document = f.Deserialize<Document>(fs);
 
-		
-		#endregion
-	}
+        if (document == null)
+          throw new InconsistencyException("The deserialization return 'null'.");
+        //call the standard method at the control level to attach a new document
+        //In principle you could create a document programmatically and attach it this way as well.
+        control.AttachToDocument(document);
+        return true;
+      }
+      catch (SerializationException exc) {
+        MessageBox.Show(exc.Message);
+      }
+      catch (System.Reflection.TargetInvocationException exc) {
+        MessageBox.Show(exc.Message, "BinarySerializer.Open");
+      }
+      catch (Exception exc) {
+        MessageBox.Show(exc.Message, "BinarySerializer.Open");
+      }
+      finally {
+        if (fs != null) {
+          fs.Close();
+        }
+      }
+      return false;
+    }
+
+
+    #endregion
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/IO/GenericFormatter.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/IO/GenericFormatter.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/IO/GenericFormatter.cs	(revision 4068)
@@ -1,38 +1,30 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
 using System.IO;
-using System.Runtime.Serialization.Formatters.Binary;
 using System.Runtime.Serialization;
 
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Generic implementation of the <see cref="IGenericFormatter"/> interface.
+  /// </summary>
+  /// <typeparam name="F"></typeparam>
+  public class GenericFormatter<F> : IGenericFormatter where F : IFormatter, new() {
+    IFormatter m_Formatter = new F();
+
     /// <summary>
-    /// Generic implementation of the <see cref="IGenericFormatter"/> interface.
+    /// Deserializes the specified serialization stream.
     /// </summary>
-    /// <typeparam name="F"></typeparam>
-    public class GenericFormatter<F> : IGenericFormatter where F : IFormatter, new()
-    {
-        IFormatter m_Formatter = new F();
+    /// <param name="serializationStream">The serialization stream.</param>
+    /// <returns></returns>
+    public T Deserialize<T>(Stream serializationStream) {
+      return (T)m_Formatter.Deserialize(serializationStream);
+    }
+    /// <summary>
+    /// Serializes the specified serialization stream.
+    /// </summary>
+    /// <param name="serializationStream">The serialization stream.</param>
+    /// <param name="graph">A parameter of the generics Type T</param>
+    public void Serialize<T>(Stream serializationStream, T graph) {
+      m_Formatter.Serialize(serializationStream, graph);
+    }
+  }
 
-        /// <summary>
-        /// Deserializes the specified serialization stream.
-        /// </summary>
-        /// <param name="serializationStream">The serialization stream.</param>
-        /// <returns></returns>
-        public T Deserialize<T>(Stream serializationStream)
-        {
-            return (T) m_Formatter.Deserialize(serializationStream);
-        }
-        /// <summary>
-        /// Serializes the specified serialization stream.
-        /// </summary>
-        /// <param name="serializationStream">The serialization stream.</param>
-        /// <param name="graph">A parameter of the generics Type T</param>
-        public void Serialize<T>(Stream serializationStream, T graph)
-        {
-            m_Formatter.Serialize(serializationStream, graph);
-        }
-    }
-    
 }
